> ## Documentation Index
> Fetch the complete documentation index at: https://docs-beta.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Quickbooks configuration

> Fetch the current platform Quickbooks configuration.



## OpenAPI

````yaml get /v1/configure/quickbooks
openapi: 3.0.1
info:
  title: API
  version: latest
servers: []
security:
  - BearerAuth: []
tags: []
externalDocs:
  url: /
paths:
  /v1/configure/quickbooks:
    get:
      tags: []
      summary: Fetch Quickbooks configuration
      description: Fetch the current platform Quickbooks configuration.
      operationId: configure.quickbooks.get
      parameters:
        - name: Content-Type
          in: header
          description: Content-Type must be set to application/json
          schema:
            type: string
      responses:
        '200':
          description: ''
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QuickbooksConfigurationResponse'
        '404':
          description: Quickbooks configuration has not been set.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      deprecated: false
components:
  schemas:
    QuickbooksConfigurationResponse:
      type: object
      properties:
        client_id:
          type: string
          description: The client ID issued to your platform by Quickbooks.
          example: ABCD1234FAKECLIENTID
        secret_last_4:
          type: string
          description: >-
            The client secret associated with your Quickbooks client ID, masked
            except for the last four digits for reference.
          example: '**************CRET'
        environment:
          $ref: '#/components/schemas/QuickbooksEnvironmentType'
        redirect_url:
          type: string
          format: uri
          description: The URL to which Quickbooks should redirect after authentication.
          example: https://yourplatform.com/link-quickbooks
    ApiError:
      type: object
      properties: {}
      example: ''
      description: ''
    QuickbooksEnvironmentType:
      type: string
      enum:
        - PRODUCTION
        - SANDBOX
      description: >-
        Indicates which Quickbooks environment these credentials are intended
        for (production or sandbox).
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````